For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Edit an existing agent graph.
The request body must be a JSON object of the fields to update. The values you include replace the existing values for the fields.
If the update includes rootConfigKey or edges, both must be present and will be treated as full replacements.
curl --request PATCH \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/agent-graphs/{graphKey} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'LD-API-Version: <ld-api-version>' \
--data '
{
"maintainerId": "507f1f77bcf86cd799439011",
"rootConfigKey": "rootConfigKey",
"name": "name",
"maintainerTeamKey": "example-team-key",
"edges": [
{
"sourceConfig": "sourceConfig",
"targetConfig": "targetConfig",
"handoff": "{}",
"key": "key"
},
{
"sourceConfig": "sourceConfig",
"targetConfig": "targetConfig",
"handoff": "{}",
"key": "key"
}
],
"description": "description"
}
'{
"createdAt": 0,
"_maintainer": {
"kind": "kind"
},
"_access": {
"allowed": [
{
"reason": {
"role_name": "role_name",
"notActions": [
null,
null
],
"notResources": [
"notResources",
"notResources"
],
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"actions": [
"*"
]
},
"action": "action"
},
{
"reason": {
"role_name": "role_name",
"notActions": [
null,
null
],
"notResources": [
"notResources",
"notResources"
],
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"actions": [
"*"
]
},
"action": "action"
}
],
"denied": [
{
"reason": {
"role_name": "role_name",
"notActions": [
null,
null
],
"notResources": [
"notResources",
"notResources"
],
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"actions": [
"*"
]
},
"action": "action"
},
{
"reason": {
"role_name": "role_name",
"notActions": [
null,
null
],
"notResources": [
"notResources",
"notResources"
],
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"actions": [
"*"
]
},
"action": "action"
}
]
},
"rootConfigKey": "rootConfigKey",
"name": "name",
"edges": [
{
"sourceConfig": "sourceConfig",
"targetConfig": "targetConfig",
"handoff": "{}",
"key": "key"
},
{
"sourceConfig": "sourceConfig",
"targetConfig": "targetConfig",
"handoff": "{}",
"key": "key"
}
],
"description": "description",
"key": "key",
"updatedAt": 6
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Version of the endpoint.
beta Agent graph object to update
Request body for updating an agent graph. If rootConfigKey or edges are present, both must be present.
A human-readable name for the agent graph
A description of the agent graph
The ID of the member who maintains this agent graph. Pass an empty string to remove maintainer.
"507f1f77bcf86cd799439011"
The key of the team that maintains this agent graph. Pass an empty string to remove maintainer.
"example-team-key"
The AI Config key of the root node. If present, edges must also be present.
The edges in the graph. If present, rootConfigKey must also be present. Replaces all existing edges.
Show child attributes
Agent graph updated
An agent graph representing a directed graph of AI Configs
A unique key for the agent graph
A human-readable name for the agent graph
Show child attributes
{
"allowed": [
{
"reason": {
"role_name": "role_name",
"notActions": [null, null],
"notResources": ["notResources", "notResources"],
"effect": "allow",
"resources": ["proj/*:env/*;qa_*:/flag/*"],
"actions": ["*"]
},
"action": "action"
},
{
"reason": {
"role_name": "role_name",
"notActions": [null, null],
"notResources": ["notResources", "notResources"],
"effect": "allow",
"resources": ["proj/*:env/*;qa_*:/flag/*"],
"actions": ["*"]
},
"action": "action"
}
],
"denied": [
{
"reason": {
"role_name": "role_name",
"notActions": [null, null],
"notResources": ["notResources", "notResources"],
"effect": "allow",
"resources": ["proj/*:env/*;qa_*:/flag/*"],
"actions": ["*"]
},
"action": "action"
},
{
"reason": {
"role_name": "role_name",
"notActions": [null, null],
"notResources": ["notResources", "notResources"],
"effect": "allow",
"resources": ["proj/*:env/*;qa_*:/flag/*"],
"actions": ["*"]
},
"action": "action"
}
]
}A description of the agent graph
Show child attributes
{ "kind": "kind" }The AI Config key of the root node
The edges in the graph
Show child attributes
curl --request PATCH \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/agent-graphs/{graphKey} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'LD-API-Version: <ld-api-version>' \
--data '
{
"maintainerId": "507f1f77bcf86cd799439011",
"rootConfigKey": "rootConfigKey",
"name": "name",
"maintainerTeamKey": "example-team-key",
"edges": [
{
"sourceConfig": "sourceConfig",
"targetConfig": "targetConfig",
"handoff": "{}",
"key": "key"
},
{
"sourceConfig": "sourceConfig",
"targetConfig": "targetConfig",
"handoff": "{}",
"key": "key"
}
],
"description": "description"
}
'{
"createdAt": 0,
"_maintainer": {
"kind": "kind"
},
"_access": {
"allowed": [
{
"reason": {
"role_name": "role_name",
"notActions": [
null,
null
],
"notResources": [
"notResources",
"notResources"
],
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"actions": [
"*"
]
},
"action": "action"
},
{
"reason": {
"role_name": "role_name",
"notActions": [
null,
null
],
"notResources": [
"notResources",
"notResources"
],
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"actions": [
"*"
]
},
"action": "action"
}
],
"denied": [
{
"reason": {
"role_name": "role_name",
"notActions": [
null,
null
],
"notResources": [
"notResources",
"notResources"
],
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"actions": [
"*"
]
},
"action": "action"
},
{
"reason": {
"role_name": "role_name",
"notActions": [
null,
null
],
"notResources": [
"notResources",
"notResources"
],
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"actions": [
"*"
]
},
"action": "action"
}
]
},
"rootConfigKey": "rootConfigKey",
"name": "name",
"edges": [
{
"sourceConfig": "sourceConfig",
"targetConfig": "targetConfig",
"handoff": "{}",
"key": "key"
},
{
"sourceConfig": "sourceConfig",
"targetConfig": "targetConfig",
"handoff": "{}",
"key": "key"
}
],
"description": "description",
"key": "key",
"updatedAt": 6
}